Package edu.msu.cme.rdp.classifier.train.validation

# Class ValidClassificationResultFacade

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.ValidClassificationResultFacade

public class ValidClassificationResultFacade extends Object

## Constructor Summary

Constructors
Constructor
Description
`ValidClassificationResultFacade(LineageSequence seq, List<ValidationClassificationResult> assignment)`
Creates a new instance of ClassificationResultFacade

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getAncestors()`
`HierarchyTree`
`getLabeledNode()`
`String`
`getPath()`
print the labeled path and the assigned path Note: the true path is list of string of ancestors for a sequence, the assigned path is a list of ClassificationResult for a sequence.
`List<ValidationClassificationResult>`
`getRankAssignment()`
`String`
`getSeqName()`
`boolean`
`isMissed()`
`void`
`setLabeledNode(HierarchyTree n)`
`void`
`setMissedRank(String missedRank)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ValidClassificationResultFacade

public ValidClassificationResultFacade(LineageSequence seq, List<ValidationClassificationResult> assignment)
Creates a new instance of ClassificationResultFacade

## Method Details

### getSeqName

public String getSeqName()

### getAncestors

public List<String> getAncestors()

### getRankAssignment

public List<ValidationClassificationResult> getRankAssignment()

### isMissed

public boolean isMissed()

### setMissedRank

public void setMissedRank(String missedRank)

### getLabeledNode

public HierarchyTree getLabeledNode()

### setLabeledNode

public void setLabeledNode(HierarchyTree n)

### getPath

public String getPath() throws IOException
print the labeled path and the assigned path Note: the true path is list of string of ancestors for a sequence, the assigned path is a list of ClassificationResult for a sequence.

Throws:
  `IOException`